JBoss API: Class EnterpriseContext.UserTransactionImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Class EnterpriseContext.UserTransactionImpl

    java.lang.Object
      |
      +--org.jboss.ejb.EnterpriseContext.UserTransactionImpl

All Implemented Interfaces:
  javax.transaction.UserTransaction

Enclosing class:
  EnterpriseContext

protected class EnterpriseContext.UserTransactionImpl
extends java.lang.Object
implements javax.transaction.UserTransaction

Constructor Summary
`protected` | `EnterpriseContext.UserTransactionImpl()`

Method Summary
`void` | `begin()`
`void` | `commit()`
`int` | `getStatus()`
`void` | `rollback()`
`void` | `setRollbackOnly()`
`void` | `setTransactionTimeout(int seconds)` Set the transaction timeout value for new transactions started by this instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnterpriseContext.UserTransactionImpl

    protected EnterpriseContext.UserTransactionImpl()

Method Detail

### begin

    public void begin()
               throws javax.transaction.NotSupportedException,
                      javax.transaction.SystemException

  Specified by:
    `begin` in interface `javax.transaction.UserTransaction`

### commit

    public void commit()
                throws javax.transaction.RollbackException,
                       javax.transaction.HeuristicMixedException,
                       javax.transaction.HeuristicRollbackException,
                       java.lang.SecurityException,
                       java.lang.IllegalStateException,
                       javax.transaction.SystemException

  Specified by:
    `commit` in interface `javax.transaction.UserTransaction`

### rollback

    public void rollback()
                  throws java.lang.IllegalStateException,
                         java.lang.SecurityException,
                         javax.transaction.SystemException

  Specified by:
    `rollback` in interface `javax.transaction.UserTransaction`

### setRollbackOnly

    public void setRollbackOnly()
                         throws java.lang.IllegalStateException,
                                javax.transaction.SystemException

  Specified by:
    `setRollbackOnly` in interface `javax.transaction.UserTransaction`

### getStatus

    public int getStatus()
                  throws javax.transaction.SystemException

  Specified by:
    `getStatus` in interface `javax.transaction.UserTransaction`

### setTransactionTimeout

    public void setTransactionTimeout(int seconds)
                               throws javax.transaction.SystemException

  Set the transaction timeout value for new transactions started by this instance.
  Specified by:
    `setTransactionTimeout` in interface `javax.transaction.UserTransaction`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.